Skip to main content
Settings/Settings Operations/HA Policy Operations

ChangeHaNetworkGroupState

ChangeHaNetworkGroupState

PUT/zstack/v1/ha/network-groups/{uuid}/actions

Operation ID

ChangeHaNetworkGroupState

Since

5.5.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID, which uniquely identifies the resource.

Body Fields

  • stateEvent
    StringRequired

    State event. enable indicates Enable, and disable indicates Disable.

  • systemTags
    List

    System tags.

  • userTags
    List

    User tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    Error code. If this field is not null, the operation fails. If the operation succeeds, this field is null. For more information, see error

    • code
      StringRequired

      Error code, for example, SYS.1000 or HOST.1001.

    • description
      StringRequired

      Summary description of the error.

    • details
      StringRequired

      Details of the error.

    • elaboration
      StringRequired

      Reserved field. The default value is null.

    • opaque
      LinkedHashMapRequired

      Reserved field. The default value is null.

    • cause
      ErrorCodeRequired

      Root error that caused the current error. If no root error exists, this field is null.

  • inventory
    HaNetworkGroupInventoryRequired

    For more information, see inventory

    • uuid
      StringRequired

      The resource UUID, which uniquely identifies the resource.

    • name
      StringRequired

      Resource name.

    • description
      StringRequired

      Detailed description of the resource.

    • type
      StringRequired

      Network group type. Flat indicates a Flat Network, and Public indicates a Public Network.

    • minAvailableCount
      intRequired

      Minimum number of available networks.

    • state
      StringRequired

      Network group state.

    • createDate
      TimestampRequired

      Creation time.

    • lastOpDate
      TimestampRequired

      Last modification time.

    • l3NetworkUuids
      SetRequired

      L3 Network UUID list.